//---------------------------------------------------------------------------
// Copyright (C) 1998 Dallas Semiconductor Corporation, All Rights Reserved.
// 
// Permission is hereby granted, free of charge, to any person obtaining a 
// copy of this software and associated documentation files (the "Software"), 
// to deal in the Software without restriction, including without limitation 
// the rights to use, copy, modify, merge, publish, distribute, sublicense, 
// and/or sell copies of the Software, and to permit persons to whom the 
// Software is furnished to do so, subject to the following conditions:
// 
// The above copyright notice and this permission notice shall be included 
// in all copies or substantial portions of the Software.
// 
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS 
// OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF 
// MERCHANTABILITY,  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. 
// IN NO EVENT SHALL DALLAS SEMICONDUCTOR BE LIABLE FOR ANY CLAIM, DAMAGES 
// OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, 
// ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR 
// OTHER DEALINGS IN THE SOFTWARE.
// 
// Except as contained in this notice, the name of Dallas Semiconductor 
// shall not be used except as stated in the Dallas Semiconductor 
// Branding Policy. 
//---------------------------------------------------------------------------
//
//  TODO.C - COM functions required for communication with the DS2480 
//           based Universal Serial Adapter 'U'.  Fill in the platform 
//           specific code.
//
//  Version: 1.00
//

// exportable functions required for 
// MLANLL.C, MLANTRNU, or MLANNETU.C
void FlushCOM(void);
int WriteCOM(int, uchar *);
int ReadCOM(int, uchar *);
void BreakCOM(void);
void Delay(int);
void SetBaudCOM(uchar);

//---------------------------------------------------------------------------
// Flush the rx and tx buffers
//
void FlushCOM(void)
{
   // add platform specific code here
}


//--------------------------------------------------------------------------
// Write an array of bytes to the COM port, verify that it was
// sent out.  Assume that baud rate has been set.
//
// 'outlen' - number of bytes to write to COM port
// 'outbuf' - pointer ot an array of bytes to write
//
// Returns:  1 for success 
//           0 for failure
//
int WriteCOM(int outlen, uchar *outbuf)
{
   // add platform specific code here
   return 0;
}


//--------------------------------------------------------------------------
// Read an array of bytes to the COM port, verify that it was
// sent out.  Assume that baud rate has been set.
//
// 'inlen' - number of bytes to read from COM port
// 'inbuf' - pointer to a buffer to hold the incomming bytes
//
// Returns: number of characters read
//
int ReadCOM(int inlen, uchar *inbuf)
{
   // add platform specific code here
   return 0;
}


//--------------------------------------------------------------------------
// Send a break on the com port for at least 2 ms
// 
void BreakCOM(void)
{
   // add platform specific code here
}


//--------------------------------------------------------------------------
// Set the baud rate on the com port.  The possible baud rates for
// 'new_baud' are:
//
// PARMSET_9600     0x00
// PARMSET_19200    0x02
// PARMSET_57600    0x04
// PARMSET_115200   0x06
// 
void SetBaudCOM(uchar new_baud)
{
   // add platform specific code here
}


//--------------------------------------------------------------------------
// Delay for at least 'len' ms
// 
void Delay(int len)
{
   // add platform specific code here
}

